JUCE: KnownPluginList::CustomScanner Class Reference

JUCE

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
KnownPluginList::CustomScanner Class Referenceabstract
juce_audio_processors » scanning

Class to define a custom plugin scanner. More...

`#include <juce_KnownPluginList.h>`

## Public Member Functions
| CustomScanner ()
virtual | ~CustomScanner ()
virtual bool | findPluginTypesFor (AudioPluginFormat &format, OwnedArray< PluginDescription > &result, const String &fileOrIdentifier)=0
| Attempts to load the given file and find a list of plugins in it.
virtual void | scanFinished ()
| Called when a scan has finished, to allow clean-up of resources.
bool | shouldExit () const noexcept
| Returns true if the current scan should be abandoned.

## Detailed Description

Class to define a custom plugin scanner.

## Constructor & Destructor Documentation

## ◆ CustomScanner()

KnownPluginList::CustomScanner::CustomScanner | ( |  | ) |

## ◆ ~CustomScanner()

virtual KnownPluginList::CustomScanner::~CustomScanner | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ findPluginTypesFor()

virtual bool KnownPluginList::CustomScanner::findPluginTypesFor | ( | AudioPluginFormat & | format,
|  | OwnedArray< PluginDescription > & | result,
|  | const String & | fileOrIdentifier
| ) |  |
| pure virtual

Attempts to load the given file and find a list of plugins in it.

Returns
  true if the plugin loaded, false if it crashed

## ◆ scanFinished()

virtual void KnownPluginList::CustomScanner::scanFinished | ( |  | ) |
| virtual

Called when a scan has finished, to allow clean-up of resources.

## ◆ shouldExit()

bool KnownPluginList::CustomScanner::shouldExit | ( |  | ) | const
| noexcept

Returns true if the current scan should be abandoned.

Any blocking methods should check this value repeatedly and return if if becomes true.

The documentation for this class was generated from the following file:

- juce_KnownPluginList.h